### Struct

# Foundry DiagnosticBuilder

#### Description

    struct FoundryDiagnosticBuilder {
      /* No available fields */
    }

No description available.

#### Constructors

###### foundry_diagnostic_builder_new

No description available.

#### Instance methods

###### foundry_diagnostic_builder_add_fix

Adds a potential fix to the diagnostic.

since: 1.1

###### foundry_diagnostic_builder_add_range

No description available.

###### foundry_diagnostic_builder_end

No description available.

###### foundry_diagnostic_builder_ref

No description available.

###### foundry_diagnostic_builder_set_file

No description available.

###### foundry_diagnostic_builder_set_line

No description available.

###### foundry_diagnostic_builder_set_line_offset

No description available.

###### foundry_diagnostic_builder_set_markup

No description available.

###### foundry_diagnostic_builder_set_message

No description available.

###### foundry_diagnostic_builder_set_path

No description available.

###### foundry_diagnostic_builder_set_rule_id

No description available.

###### foundry_diagnostic_builder_set_severity

No description available.

###### foundry_diagnostic_builder_take_markup

No description available.

###### foundry_diagnostic_builder_take_message

No description available.

###### foundry_diagnostic_builder_unref

No description available.